{ pkgs, ... }:
let
  kodipkg = pkgs.kodi-wayland.withPackages (
    p: with p; [
      jellyfin
    ]
  );
in
{
  users.users.kodi = {
    isNormalUser = true;
    description = "Kodi Media Center user";
  };
  services.xserver = {
    enable = true;
  };
  services.cage = {
    enable = true;
    user = "kodi";
    program = "${kodipkg}/bin/kodi";
  };

  environment.systemPackages = with pkgs; [
    firefox
  ];
}
